/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType } from "./type";
/**
 * @hidden
 */
export let EventProxy = /*@__PURE__*/ (() => {
    class EventProxy extends Base {
        constructor() {
            super(...arguments);
            this.onMouseWheel = null;
            this.onMouseWheelHorizontal = null;
            this.onPinchStarted = null;
            this.onPinchDelta = null;
            this.onGestureCompleted = null;
            this.onZoomStarted = null;
            this.onZoomDelta = null;
            this.onZoomCompleted = null;
            this.onFlingStarted = null;
            this.onContactStarted = null;
            this.onManipulationCancelled = null;
            this.onDragStarted = null;
            this.onContactMoved = null;
            this.onDragDelta = null;
            this.onContactCompleted = null;
            this.onDragCompleted = null;
            this.onMouseLeave = null;
            this.onMouseOver = null;
            this.onMouseEnter = null;
            this.onMouseDown = null;
            this.onMouseUp = null;
            this.onDoubleTap = null;
            this.onHold = null;
            this.onKeyDown = null;
            this.onKeyUp = null;
            this.bk = null;
            this.bh = 0;
            this.ak = false;
            this.al = false;
            this.an = null;
            this.ap = null;
            this.aq = null;
            this.ar = null;
            this.aa = false;
            this.ab = false;
            this.ao = null;
        }
        ad(a, b, c) {
            if (this.ap != null) {
                return this.ap(a, b, c);
            }
            return this.an(a);
        }
        get_am() {
            return false;
        }
        get am() {
            return this.get_am();
        }
        get_ac() {
            return false;
        }
        get ac() {
            return this.get_ac();
        }
        at() {
        }
        ai(a, b) {
            if (this.onMouseWheel != null && !this.ae) {
                return this.onMouseWheel(a, b);
            }
            return false;
        }
        aj(a, b) {
            if (this.onMouseWheelHorizontal != null && !this.ae) {
                return this.onMouseWheelHorizontal(a, b);
            }
            return false;
        }
        bc(a, b) {
            if (this.onPinchStarted != null && !this.ae) {
                this.onPinchStarted(a, b);
            }
        }
        bf(a, b, c, d) {
            if (this.onZoomStarted != null && !this.ae) {
                this.onZoomStarted(a, b, c, d);
            }
        }
        af(a, b, c) {
            if (this.onFlingStarted != null && !this.ae) {
                return this.onFlingStarted(a, b, c);
            }
            return true;
        }
        bb(a, b) {
            if (this.onPinchDelta != null && !this.ae) {
                this.onPinchDelta(a, b);
            }
        }
        be(a, b, c, d) {
            if (this.onZoomDelta != null && !this.ae) {
                this.onZoomDelta(a, b, c, d);
            }
        }
        bd(a, b, c, d) {
            if (this.onZoomCompleted != null && !this.ae) {
                this.onZoomCompleted(a, b, c, d);
            }
        }
        a3(a, b) {
            if (this.onGestureCompleted != null && !this.ae) {
                this.onGestureCompleted(a, b);
            }
        }
        a5(a) {
            if (this.onManipulationCancelled != null && !this.ae) {
                this.onManipulationCancelled(a);
            }
        }
        ay(a, b) {
            if (this.onContactStarted != null && !this.ae) {
                this.onContactStarted(a, b);
            }
        }
        a2(a) {
            if (this.onDragStarted != null && !this.ae) {
                this.onDragStarted(a);
            }
        }
        ax(a, b) {
            if (this.onContactMoved != null && !this.ae) {
                this.onContactMoved(a, b);
            }
        }
        a1(a) {
            if (this.onDragDelta != null && !this.ae) {
                this.onDragDelta(a);
            }
        }
        aw(a, b, c) {
            if (this.onContactCompleted != null && !this.ae) {
                this.al = c;
                this.onContactCompleted(a, b);
                this.al = false;
            }
        }
        a0(a) {
            if (this.onDragCompleted != null && !this.ae) {
                this.onDragCompleted(a);
            }
        }
        a8(a) {
            if (this.onMouseLeave != null && !this.ae) {
                this.onMouseLeave(a);
            }
        }
        a9(a, b, c) {
            if (this.onMouseOver != null && !this.ae) {
                this.onMouseOver(a, b, c);
            }
        }
        a7(a) {
            if (this.onMouseEnter != null && !this.ae) {
                this.onMouseEnter(a);
            }
        }
        a6(a) {
            if (this.onMouseDown != null && !this.ae) {
                this.onMouseDown(a);
            }
        }
        ba(a) {
            if (this.onMouseUp != null && !this.ae) {
                this.onMouseUp(a);
            }
        }
        ag(a) {
            if (this.onKeyDown != null && !this.ae) {
                return this.onKeyDown(a);
            }
            return false;
        }
        ah(a) {
            if (this.onKeyUp != null && !this.ae) {
                return this.onKeyUp(a);
            }
            return false;
        }
        az(a) {
            if (this.onDoubleTap != null && !this.ae) {
                this.onDoubleTap(a);
            }
        }
        a4(a) {
            if (this.onHold != null && !this.ae) {
                this.onHold(a);
            }
        }
        get ae() {
            return this.aa;
        }
        set ae(a) {
            this.aa = a;
            this.av();
        }
        av() {
        }
    }
    EventProxy.$t = markType(EventProxy, 'EventProxy');
    return EventProxy;
})();
